Page MenuHomePhabricator

Clean up beta cluster mobile configuration
Closed, ResolvedPublic

Description

Over the time, some differences have crept in, which might reduce the reproduceability of production issues. Having these differences due to testing a new feature before it goes live in production is totally fine, however ideally these differences shouldn't be permanent.

Mark fixed or intentional differences here:

  • $wgMFMobileFormatterHeadings
  • $wgMFRemovableClasses
  • $wgMFSpecialCaseMainPage
  • $wgMFExperiments
  • $wgMFDisplayWikibaseDescriptions
// Labs
'wgMFMobileFormatterHeadings' => [
	'default' => [ 'h2', 'h3', 'h4', 'h5', 'h6' ], // T110436, T110837
],

// Prod
'wgMFMobileFormatterHeadings' => [
	'default' => [ 'h1', 'h2', 'h3', 'h4', 'h5', 'h6' ],
	'wikivoyage' => [ 'h2', 'h3', 'h4', 'h5', 'h6' ], // T110436, T110837
],
// Labs
'wgMFRemovableClasses' => [
	'default' => [
		'base' => [ '.navbox' ],
		'beta' => [ '.navbox' ],
		'HTML' => [],
	],
],

// Prod
'wgMFRemovableClasses' => [
	'default' => [
		'base' => [ '.navbox', '.nomobile', '.mbox-image' ],
		'beta' => [ '.navbox', '.nomobile', '.mbox-image' ],
		'HTML' => [],
	],
],
// Labs
'wgMFSpecialCaseMainPage' => [
	'default' => true,
	'enwiki' => false,
],

// Prod
'wgMFSpecialCaseMainPage' => [
	'default' => false,
	'mobilemainpagelegacy' => true,
],
// Labs
'wgMFExperiments' => [
	'default' => [
	],
],

// Nothing in prod
// Labs
// Test Wikidata descriptions on mobile: T127250
'wgMFDisplayWikibaseDescriptions' => [
	'enwiki' => [
		'tagline' => true, 'search' => true, 'nearby' => true, 'watchlist' => true
	]
],

// Prod
'wgMFDisplayWikibaseDescriptions' => [
	'default' => [
		'search' => true, 'nearby' => true, 'watchlist' => true, 'tagline' => true
	],
	'nowikidatadescriptiontaglines' => [
		'search' => true, 'nearby' => true, 'watchlist' => true, 'tagline' => false
	],
	'enwiki' => [
		'search' => true, 'nearby' => true, 'watchlist' => true, 'tagline' => false
	],
	'ruwiki' => [
		'search' => true, 'nearby' => true, 'watchlist' => true, 'tagline' => false
	],
],

Event Timeline

MaxSem created this task.Jan 12 2019, 1:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 12 2019, 1:02 AM
MaxSem updated the task description. (Show Details)Jan 12 2019, 1:40 AM
Restricted Application added a subscriber: jeblad. · View Herald TranscriptJan 12 2019, 1:40 AM
Jdlrobson triaged this task as Normal priority.Jan 14 2019, 4:07 PM
Jdlrobson moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.

Change 495024 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Cleanup beta cluster config

https://gerrit.wikimedia.org/r/495024

Change 495024 merged by jenkins-bot:
[operations/mediawiki-config@master] Cleanup beta cluster config

https://gerrit.wikimedia.org/r/495024

Mentioned in SAL (#wikimedia-operations) [2019-03-08T00:16:09Z] <thcipriani@deploy1001> Synchronized wmf-config/InitialiseSettings-labs.php: SWAT: [[gerrit:495024|Cleanup beta cluster config]] T213599; [[gerrit:495023|Enable advanced mobile contributions mode on beta cluster]] beta-only (noop) sync (duration: 00m 49s)

Jdlrobson closed this task as Resolved.Mar 8 2019, 1:10 AM
Jdlrobson claimed this task.